#ifndef _INPUTOPTIONSFLV_H_
#define _INPUTOPTIONSFLV_H_


class InputOptionsFLV : public vdxunknown<IVDXInputOptions>
{
private:
	static INT_PTR CALLBACK OptionsDlgProc(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);

public:
	InputOptionsFLV();
	~InputOptionsFLV();

	static void InitDialogTitle(HWND hDlg, char *pTitle);

	uint32 VDXAPIENTRY Write(void *buf, uint32 buflen);
	void OptionsDlg(HWND hwndParent);

	struct OptionsFLV {
		uint32 len;
		bool fDeliverRawAAC;
	} opts;
};


#endif	// _INPUTOPTIONSFLV_H_
